## libsfml 2.1+dfsg

=== doc/CMakeLists.txt ===

# find doxygen
if(MACOSX)
    # Add some path to search doxygen in more directories.
    set(ADDITIONAL_PATHS 
        /Developer/Applications/Doxygen.app/Contents/Resources 
        /Developer/Applications/Doxygen.app/Contents/MacOS 
        $ENV{HOME}/Applications/Doxygen.app/Contents/Resources 
        $ENV{HOME}/Applications/Doxygen.app/Contents/MacOS 
        $ENV{HOME}/Applications/Developer/Doxygen.app/Contents/Resources 
        $ENV{HOME}/Applications/Developer/Doxygen.app/Contents/MacOS)
 
    set(CMAKE_PROGRAM_PATH ${CMAKE_PROGRAM_PATH} ${ADDITIONAL_PATHS})
endif()

find_package(Doxygen REQUIRED)

# set the input and output documentation paths
set(DOXYGEN_INPUT_DIR ${PROJECT_SOURCE_DIR})
set(DOXYGEN_OUTPUT_DIR ${PROJECT_BINARY_DIR}/doc)

# see if we can generate the CHM documentation
if(WINDOWS)
    # if HHC is found, we can generate the CHM (compressed HTML) output
    find_program(DOXYGEN_HHC_PROGRAM
                 NAMES hhc.exe
                 PATHS "c:/Program Files/HTML Help Workshop"
                 DOC "HTML Help Compiler program")
    if(DOXYGEN_HHC_PROGRAM)
        set(DOXYGEN_GENERATE_HTMLHELP YES)
    else()
        set(DOXYGEN_GENERATE_HTMLHELP NO)
    endif()
else()
    set(DOXYGEN_HHC_PROGRAM)
    set(DOXYGEN_GENERATE_HTMLHELP NO)
endif()

# configure the source Doxyfile by copying it and replacing all @variables@
set(DOXYGEN_CONFIGURED_INPUT ${DOXYGEN_OUTPUT_DIR}/doxyfile)
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxyfile.in ${DOXYGEN_CONFIGURED_INPUT} @ONLY)

# copy the files needed by the documentation
configure_file(${DOXYGEN_INPUT_DIR}/doc/doxygen.css ${DOXYGEN_OUTPUT_DIR}/html/doxygen.css COPYONLY)

# target setup
add_custom_target(doc ALL
                  COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
                  COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_CONFIGURED_INPUT}
                  COMMAND ${CMAKE_COMMAND} -E echo "Done."
                  WORKING_DIRECTORY ${DOXYGEN_INPUT_DIR})

# setup install rules
install(DIRECTORY ${DOXYGEN_OUTPUT_DIR}/html
        DESTINATION ${INSTALL_MISC_DIR}/doc
        COMPONENT doc)
if(DOXYGEN_HHC_PROGRAM)
    install(FILES ${DOXYGEN_OUTPUT_DIR}/sfml.chm
            DESTINATION ${INSTALL_MISC_DIR}/doc
            COMPONENT doc)
endif()

=== examples/CMakeLists.txt ===

# add the examples subdirectories
add_subdirectory(ftp)
add_subdirectory(opengl)
add_subdirectory(pong)
add_subdirectory(shader)
add_subdirectory(sockets)
add_subdirectory(sound)
add_subdirectory(sound_capture)
add_subdirectory(voip)
add_subdirectory(window)
if(WINDOWS)
    add_subdirectory(win32)
elseif(LINUX)
    add_subdirectory(X11)
elseif(MACOSX)
    add_subdirectory(cocoa)
endif()

=== examples/X11/CMakeLists.txt ===

set(SRCROOT ${PROJECT_SOURCE_DIR}/examples/X11)

# all source files
set(SRC ${SRCROOT}/X11.cpp)

# find OpenGL, GLU and X11
find_package(OpenGL REQUIRED)
include_directories(${OPENGL_INCLUDE_DIR})
find_package(X11 REQUIRED)
include_directories(${X11_INCLUDE_DIR})

# define the X11 target
sfml_add_example(X11 GUI_APP
                 SOURCES ${SRC}
                 DEPENDS sfml-window sfml-system ${OPENGL_LIBRARIES} ${X11_LIBRARIES})

=== examples/cocoa/CMakeLists.txt ===

set(SRCROOT ${PROJECT_SOURCE_DIR}/examples/cocoa)

# all source files
set(SRC ${SRCROOT}/CocoaAppDelegate.h
        ${SRCROOT}/CocoaAppDelegate.mm
        ${SRCROOT}/NSString+stdstring.h
        ${SRCROOT}/NSString+stdstring.mm
        ${SRCROOT}/main.m)

# all XIB files
set(XIBS MainMenu)

# all resource files
set(RESOURCES ${SRCROOT}/resources/logo.png
              ${SRCROOT}/resources/icon.icns
              ${SRCROOT}/resources/sansation.ttf
              ${SRCROOT}/resources/blue.png
              ${SRCROOT}/resources/green.png
              ${SRCROOT}/resources/red.png
              ${SRCROOT}/resources/Credits.rtf)

# define the cocoa target and customize it
add_executable(cocoa MACOSX_BUNDLE ${SRC} ${RESOURCES})
set_source_files_properties(${RESOURCES} PROPERTIES
                            MACOSX_PACKAGE_LOCATION Resources)
set_target_properties(cocoa PROPERTIES
                      MACOSX_BUNDLE_INFO_PLIST ${SRCROOT}/resources/Cocoa-Info.plist)
target_link_libraries(cocoa "-framework Cocoa -framework Foundation" 
                            sfml-system sfml-window sfml-graphics)

# set the target's folder (for IDEs that support it, e.g. Visual Studio)
set_target_properties(cocoa PROPERTIES FOLDER "Examples")

# compile XIB files
find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
if(${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")
  message(FATAL_ERROR "ibtool is required to compile .xib files but wasn't found.")
endif()
set(RESOURCE_PATH "cocoa.app/Contents/Resources")
set(XIB_OUTPUT_PATH "${RESOURCE_PATH}/")
set(XIB_INPUT_PATH "${SRCROOT}/")
foreach(XIB ${XIBS})
    add_custom_command(TARGET cocoa
                       POST_BUILD 
                       COMMAND ${IBTOOL} --errors
                                         --output-format human-readable-text 
                                         --compile ${XIB_OUTPUT_PATH}/${XIB}.nib 
                                         ${XIB_INPUT_PATH}/${XIB}.xib
                       COMMENT "Compiling ${XIB}.xib")
                       # deactivated options : --warnings --notices
endforeach()

# add install rule
install(TARGETS cocoa
        BUNDLE DESTINATION ${INSTALL_MISC_DIR}/examples/cocoa
        COMPONENT examples)

#
# define the cocoa target
# sfml_add_example is not compatible with application bundles !
#
#sfml_add_example(cocoa
#                 SOURCES ${SRC}
#                 DEPENDS sfml-system sfml-window sfml-graphics)
#

=== examples/ftp/CMakeLists.txt ===

set(SRCROOT ${PROJECT_SOURCE_DIR}/examples/ftp)

# all source files
set(SRC ${SRCROOT}/Ftp.cpp)

# define the ftp target
sfml_add_example(ftp
                 SOURCES ${SRC}
                 DEPENDS sfml-network sfml-system)

=== examples/pong/CMakeLists.txt ===

set(SRCROOT ${PROJECT_SOURCE_DIR}/examples/pong)

# all source files
set(SRC ${SRCROOT}/Pong.cpp)

# define the pong target
sfml_add_example(pong GUI_APP
                 SOURCES ${SRC}
                 DEPENDS sfml-audio sfml-graphics sfml-window sfml-system)

=== examples/shader/CMakeLists.txt ===

set(SRCROOT ${PROJECT_SOURCE_DIR}/examples/shader)

# all source files
set(SRC
    ${SRCROOT}/Effect.hpp
    ${SRCROOT}/Shader.cpp)

# define the shader target
sfml_add_example(shader GUI_APP
                 SOURCES ${SRC}
                 DEPENDS sfml-graphics sfml-window sfml-system)

=== src/SFML/CMakeLists.txt ===

# include the SFML specific macros
include(${PROJECT_SOURCE_DIR}/cmake/Macros.cmake)

# let CMake know about our additional libraries paths (on Windows and OS X)
if (WINDOWS)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers")
    if(COMPILER_GCC)
        if(ARCH_32BITS)
				    set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-mingw/x86")
            set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/bin/x86")
        elseif(ARCH_64BITS)
				    set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-mingw/x64")
            set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/bin/x64")
        endif()
    elseif(COMPILER_MSVC)
        if(ARCH_32BITS)
            set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-msvc/x86")
        elseif(ARCH_64BITS)
            set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-msvc/x64")
        endif()
    endif()
elseif(MACOSX)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers")
    set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-osx/lib/")
endif()

# add the SFML sources path
include_directories(${PROJECT_SOURCE_DIR}/src)

# define the path of our additional CMake modules
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/Modules/")

# set the output directory for SFML libraries
set(LIBRARY_OUTPUT_PATH "${PROJECT_BINARY_DIR}/lib")

# add the modules subdirectories
add_subdirectory(System)
add_subdirectory(Window)
add_subdirectory(Network)
add_subdirectory(Graphics)
add_subdirectory(Audio)
if(WINDOWS)
    add_subdirectory(Main)
endif()

=== src/SFML/Main/CMakeLists.txt ===

# sources
set(SRC
    ${PROJECT_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp
)
source_group("" FILES ${SRC})

# define the sfml-main target
add_library(sfml-main STATIC ${SRC})

# set the debug suffix
set_target_properties(sfml-main PROPERTIES DEBUG_POSTFIX -d)

# insert the major version number in the output filename
set_target_properties(sfml-main PROPERTIES OUTPUT_NAME "sfml-main")

# set the target's folder (for IDEs that support it, e.g. Visual Studio)
set_target_properties(sfml-main PROPERTIES FOLDER "SFML")

# setup the install rule
install(TARGETS sfml-main ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT devel)

=== src/SFML/Network/CMakeLists.txt ===

set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Network)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Network)

# all source files
set(SRC
    ${INCROOT}/Export.hpp
    ${SRCROOT}/Ftp.cpp
    ${INCROOT}/Ftp.hpp
    ${SRCROOT}/Http.cpp
    ${INCROOT}/Http.hpp
    ${SRCROOT}/IpAddress.cpp
    ${INCROOT}/IpAddress.hpp
    ${SRCROOT}/Packet.cpp
    ${INCROOT}/Packet.hpp
    ${SRCROOT}/Socket.cpp
    ${INCROOT}/Socket.hpp
    ${SRCROOT}/SocketImpl.hpp
    ${INCROOT}/SocketHandle.hpp
    ${SRCROOT}/SocketSelector.cpp
    ${INCROOT}/SocketSelector.hpp
    ${SRCROOT}/TcpListener.cpp
    ${INCROOT}/TcpListener.hpp
    ${SRCROOT}/TcpSocket.cpp
    ${INCROOT}/TcpSocket.hpp
    ${SRCROOT}/UdpSocket.cpp
    ${INCROOT}/UdpSocket.hpp
)

# add platform specific sources
if(WINDOWS)
    set(SRC
        ${SRC}
        ${SRCROOT}/Win32/SocketImpl.cpp
        ${SRCROOT}/Win32/SocketImpl.hpp
    )
else()
    set(SRC
        ${SRC}
        ${SRCROOT}/Unix/SocketImpl.cpp
        ${SRCROOT}/Unix/SocketImpl.hpp
    )
endif()

source_group("" FILES ${SRC})

# build the list of external libraries to link
set(NETWORK_EXT_LIBS)
if(WINDOWS)
    set(NETWORK_EXT_LIBS ${NETWORK_EXT_LIBS} ws2_32)
endif()

# define the sfml-network target
sfml_add_library(sfml-network
                 SOURCES ${SRC}
                 DEPENDS sfml-system
                 EXTERNAL_LIBS ${NETWORK_EXT_LIBS})

=== src/SFML/System/CMakeLists.txt ===

set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/System)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/System)

# all source files
set(SRC
    ${SRCROOT}/Clock.cpp
    ${INCROOT}/Clock.hpp
    ${SRCROOT}/Err.cpp
    ${INCROOT}/Err.hpp
    ${INCROOT}/Export.hpp
    ${INCROOT}/InputStream.hpp
    ${SRCROOT}/Lock.cpp
    ${INCROOT}/Lock.hpp
    ${SRCROOT}/Mutex.cpp
    ${INCROOT}/Mutex.hpp
    ${INCROOT}/NonCopyable.hpp
    ${SRCROOT}/Sleep.cpp
    ${INCROOT}/Sleep.hpp
    ${SRCROOT}/String.cpp
    ${INCROOT}/String.hpp
    ${SRCROOT}/Thread.cpp
    ${INCROOT}/Thread.hpp
    ${INCROOT}/Thread.inl
    ${SRCROOT}/ThreadLocal.cpp
    ${INCROOT}/ThreadLocal.hpp
    ${INCROOT}/ThreadLocalPtr.hpp
    ${INCROOT}/ThreadLocalPtr.inl
    ${SRCROOT}/Time.cpp
    ${INCROOT}/Time.hpp
    ${INCROOT}/Utf.hpp
    ${INCROOT}/Utf.inl
    ${INCROOT}/Vector2.hpp
    ${INCROOT}/Vector2.inl
    ${INCROOT}/Vector3.hpp
    ${INCROOT}/Vector3.inl
)
source_group("" FILES ${SRC})

# add platform specific sources
if(WINDOWS)
    set(PLATFORM_SRC
        ${SRCROOT}/Win32/ClockImpl.cpp
        ${SRCROOT}/Win32/ClockImpl.hpp
        ${SRCROOT}/Win32/MutexImpl.cpp
        ${SRCROOT}/Win32/MutexImpl.hpp
        ${SRCROOT}/Win32/SleepImpl.cpp
        ${SRCROOT}/Win32/SleepImpl.hpp
        ${SRCROOT}/Win32/ThreadImpl.cpp
        ${SRCROOT}/Win32/ThreadImpl.hpp
        ${SRCROOT}/Win32/ThreadLocalImpl.cpp
        ${SRCROOT}/Win32/ThreadLocalImpl.hpp
    )
    source_group("windows" FILES ${PLATFORM_SRC})
else()
    set(PLATFORM_SRC
        ${SRCROOT}/Unix/ClockImpl.cpp
        ${SRCROOT}/Unix/ClockImpl.hpp
        ${SRCROOT}/Unix/MutexImpl.cpp
        ${SRCROOT}/Unix/MutexImpl.hpp
        ${SRCROOT}/Unix/SleepImpl.cpp
        ${SRCROOT}/Unix/SleepImpl.hpp
        ${SRCROOT}/Unix/ThreadImpl.cpp
        ${SRCROOT}/Unix/ThreadImpl.hpp
        ${SRCROOT}/Unix/ThreadLocalImpl.cpp
        ${SRCROOT}/Unix/ThreadLocalImpl.hpp
    )
    source_group("unix" FILES ${PLATFORM_SRC})
endif()

# build the list of external libraries to link
set(SYSTEM_EXT_LIBS)
if(UNIX)
    set(SYSTEM_EXT_LIBS ${SYSTEM_EXT_LIBS} pthread)
endif()
if(LINUX)
    set(SYSTEM_EXT_LIBS ${SYSTEM_EXT_LIBS} rt)
endif()

# define the sfml-system target
sfml_add_library(sfml-system
                 SOURCES ${SRC} ${PLATFORM_SRC}
                 EXTERNAL_LIBS ${SYSTEM_EXT_LIBS})

=== src/SFML/Window/CMakeLists.txt ===

set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Window)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Window)

# all source files
set(SRC
    ${SRCROOT}/Context.cpp
    ${INCROOT}/Context.hpp
    ${INCROOT}/Export.hpp
    ${SRCROOT}/GlContext.cpp
    ${SRCROOT}/GlContext.hpp
    ${SRCROOT}/GlResource.cpp
    ${INCROOT}/GlResource.hpp
    ${INCROOT}/ContextSettings.hpp
    ${INCROOT}/Event.hpp
    ${SRCROOT}/InputImpl.hpp
    ${INCROOT}/Joystick.hpp
    ${SRCROOT}/Joystick.cpp
    ${SRCROOT}/JoystickImpl.hpp
    ${SRCROOT}/JoystickManager.cpp
    ${SRCROOT}/JoystickManager.hpp
    ${INCROOT}/Keyboard.hpp
    ${SRCROOT}/Keyboard.cpp
    ${INCROOT}/Mouse.hpp
    ${SRCROOT}/Mouse.cpp
    ${SRCROOT}/VideoMode.cpp
    ${INCROOT}/VideoMode.hpp
    ${SRCROOT}/VideoModeImpl.hpp
    ${SRCROOT}/Window.cpp
    ${INCROOT}/Window.hpp
    ${INCROOT}/WindowHandle.hpp
    ${SRCROOT}/WindowImpl.cpp
    ${SRCROOT}/WindowImpl.hpp
    ${INCROOT}/WindowStyle.hpp
)
source_group("" FILES ${SRC})

# add platform specific sources
if(WINDOWS)
    set(PLATFORM_SRC
        ${SRCROOT}/Win32/WglContext.cpp
        ${SRCROOT}/Win32/WglContext.hpp
        ${SRCROOT}/Win32/InputImpl.cpp
        ${SRCROOT}/Win32/InputImpl.hpp
        ${SRCROOT}/Win32/JoystickImpl.cpp
        ${SRCROOT}/Win32/JoystickImpl.hpp
        ${SRCROOT}/Win32/VideoModeImpl.cpp
        ${SRCROOT}/Win32/WindowImplWin32.cpp
        ${SRCROOT}/Win32/WindowImplWin32.hpp
    )
    source_group("windows" FILES ${PLATFORM_SRC})
elseif(LINUX)
    set(PLATFORM_SRC
        ${SRCROOT}/Linux/Display.cpp
        ${SRCROOT}/Linux/Display.hpp
        ${SRCROOT}/Linux/GlxContext.cpp
        ${SRCROOT}/Linux/GlxContext.hpp
        ${SRCROOT}/Linux/InputImpl.cpp
        ${SRCROOT}/Linux/InputImpl.hpp
        ${SRCROOT}/Linux/JoystickImpl.cpp
        ${SRCROOT}/Linux/JoystickImpl.hpp
        ${SRCROOT}/Linux/VideoModeImpl.cpp
        ${SRCROOT}/Linux/WindowImplX11.cpp
        ${SRCROOT}/Linux/WindowImplX11.hpp
    )
    source_group("linux" FILES ${PLATFORM_SRC})
else() # MACOSX
    set(PLATFORM_SRC
        ${SRCROOT}/OSX/cpp_objc_conversion.h
        ${SRCROOT}/OSX/cpp_objc_conversion.mm
        ${SRCROOT}/OSX/cg_sf_conversion.hpp
        ${SRCROOT}/OSX/cg_sf_conversion.cpp
        ${SRCROOT}/OSX/InputImpl.mm
        ${SRCROOT}/OSX/InputImpl.hpp
        ${SRCROOT}/OSX/HIDInputManager.hpp
        ${SRCROOT}/OSX/HIDInputManager.mm
        ${SRCROOT}/OSX/HIDJoystickManager.hpp
        ${SRCROOT}/OSX/HIDJoystickManager.cpp
        ${SRCROOT}/OSX/JoystickImpl.cpp
        ${SRCROOT}/OSX/JoystickImpl.hpp
        ${SRCROOT}/OSX/SFApplication.h
        ${SRCROOT}/OSX/SFApplication.m
        ${SRCROOT}/OSX/SFContext.hpp
        ${SRCROOT}/OSX/SFContext.mm
        ${SRCROOT}/OSX/SFKeyboardModifiersHelper.h
        ${SRCROOT}/OSX/SFKeyboardModifiersHelper.mm
        ${SRCROOT}/OSX/SFOpenGLView.h
        ${SRCROOT}/OSX/SFOpenGLView.mm
        ${SRCROOT}/OSX/SFSilentResponder.h
        ${SRCROOT}/OSX/SFSilentResponder.m
        ${SRCROOT}/OSX/SFWindow.h
        ${SRCROOT}/OSX/SFWindow.m
        ${SRCROOT}/OSX/SFWindowController.h
        ${SRCROOT}/OSX/SFWindowController.mm
        ${SRCROOT}/OSX/SFViewController.h
        ${SRCROOT}/OSX/SFViewController.mm
        ${SRCROOT}/OSX/VideoModeImpl.cpp
        ${SRCROOT}/OSX/WindowImplCocoa.hpp
        ${SRCROOT}/OSX/WindowImplCocoa.mm
        ${SRCROOT}/OSX/WindowImplDelegateProtocol.h
        ${SRCROOT}/OSX/AutoreleasePoolWrapper.h
        ${SRCROOT}/OSX/AutoreleasePoolWrapper.mm
    )
    source_group("mac" FILES ${PLATFORM_SRC})
endif()

# find external libraries
find_package(OpenGL REQUIRED)
include_directories(${OPENGL_INCLUDE_DIR})
if(LINUX)
    find_package(X11 REQUIRED)
    if(NOT X11_Xrandr_FOUND)
        message(FATAL_ERROR "Xrandr library not found")
    endif()
    include_directories(${X11_INCLUDE_DIR})
endif()

# build the list of external libraries to link
set(WINDOW_EXT_LIBS ${OPENGL_gl_LIBRARY})
if(WINDOWS)
    set(WINDOW_EXT_LIBS ${WINDOW_EXT_LIBS} winmm gdi32)
elseif(LINUX)
    set(WINDOW_EXT_LIBS ${WINDOW_EXT_LIBS} ${X11_X11_LIB} ${X11_Xrandr_LIB})
elseif(MACOSX)
    set(WINDOW_EXT_LIBS ${WINDOW_EXT_LIBS} "-framework Foundation -framework AppKit -framework IOKit -framework Carbon")
endif()

# define the sfml-window target
sfml_add_library(sfml-window
                 SOURCES ${SRC} ${PLATFORM_SRC}
                 DEPENDS sfml-system
                 EXTERNAL_LIBS ${WINDOW_EXT_LIBS})

=== debian/changelog ===
libsfml (2.1+dfsg-4ubuntu2) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:22:12 +0000

libsfml (2.1+dfsg-4ubuntu1) trusty; urgency=low

  * Adjust symbols files for powerpc on Ubuntu using gcc-4.8, not 4.7

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Nov 2013 12:40:03 -0700

libsfml (2.1+dfsg-4) unstable; urgency=low

  * Update the symbol files (yet again) to fix a lintian error on some arches
  * Added lintian override for hardening libsfml-graphics2

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 31 Oct 2013 19:38:25 +0000

libsfml (2.1+dfsg-3) unstable; urgency=low

  * Release to unstable
  * Updated the symbol files
  * Bump standards version to 3.9.5 - no changes

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 30 Oct 2013 22:00:08 +0000

libsfml (2.1+dfsg-2) experimental; urgency=low

  * Added --as-needed linker option to only build against needed libraries
  * Remove duplicate section fields in the control file
  * Remove conflicts and replaces lines for very old libsfml packages
  * Updated GNU/Hurd patch so it works correctly with CMake
  * Added patch so that the joystick code is only compiled in on linux
  * Added initial symbols files created with pkgkde_symbolshelper

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 06 Oct 2013 18:24:46 +0100

libsfml (2.1+dfsg-1) experimental; urgency=low

  * New upstream version 2.1 (Closes: #706001)
  * Add myself to the list of uploaders in debian/control
  * Add dependency to libgl-dev and libglu-dev to libsfml-dev (Closes: #706239)
  * Modify debian/copyright to use the machine-readable format
    (http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/)
  * Added doc-base file for API documentation
  * Moved debian/watch source to the SFML github repository
  * Upgrade source format to 3.0 and debhelper 9 using dh
  * Upgrade to standards version 3.9.4
  * Moved source package to libs section
  * Fixed typos in package description
  * Added multiarch support

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 02 Sep 2013 15:44:26 +0100

libsfml (1.6+dfsg2-2) unstable; urgency=low

  * Add the now needed build-dependency

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 22:20:18 +0200

libsfml (1.6+dfsg2-1) unstable; urgency=low

  * Remove nonfree Arial.hpp (Closes: #647497)

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 20:57:06 +0200

libsfml (1.6+dfsg1-3) unstable; urgency=low

  * Team upload.
  * Thanks to Konstantinos Margaritis for the NMU.
  * Fix FTBFS with gcc-4.7, thanks to Matthias Klose. (Closes: #672086)
  * Fix FTGFS with libpng-1.5, thanks to Nobuhiro Iwamatsu. (Closes: #650564)
  * Bump standards version to 3.9.3

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 17:46:23 +0100

libsfml (1.6+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch from Ubuntu by Matthias Klose fix FTBFS. (Closes: #628253)
    - Don't include system headers in the sf namespace.

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 03 Feb 2012 15:31:30 +0200

libsfml (1.6+dfsg1-2) unstable; urgency=low

  * Add patch by Evgeni to build against gcc-4.6 (Closes: #625031)
  * Upgrade standards version from 3.8.4 to 3.9.2 (no changes)

 -- Christoph Egger <christoph@debian.org>  Tue, 17 May 2011 00:39:32 +0200

libsfml (1.6+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Rename library packages due to soname change
  * Upgrade policy version (no changes)

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:38:53 +0200

libsfml (1.5+repack1-3) unstable; urgency=low

  * Make -dev package only suggest -doc instead of recommend
  * Update my email address
  * Reformat debian/control slightly
  * Make -dbg installable with only some SFML libs available
  * Try building on Hurd the way it works on kFreeBSD

 -- Christoph Egger <christoph@debian.org>  Fri, 18 Dec 2009 13:39:19 +0100

libsfml (1.5+repack1-2) unstable; urgency=low

  * Patch include/SFML/Config.hpp to correctly detect kFreeBSD kernels
    enables the build on these ports
  * Bump standards version from 3.8.2 to .3 (no changes)
  * Bump compat to 7, use debian/clean file
  * Clean up watch file
  * Clean up rules as per NM-review
  * Depend on unversioned lib{jpeg,png}-dev packages, no special needs
    here
  * Remove debian/*dirs files, they're unneeded

 -- Christoph Egger <debian@christoph-egger.org>  Mon, 24 Aug 2009 15:20:58 +0200

libsfml (1.5+repack1-1) unstable; urgency=low

  * [af202195] Imported Upstream version 1.5+repack1
  * [118764a1] Add lintian override, -dbg is explicitly set to
               Priority:extra on purpose
  * [43beb98d] improve long descriptions
  * [b25d0c2c] lib/ is missing from time to time, just create it if
               needed
  * [eef4cb02] Update standards-Version to 3.8.2 (no changes needed)
  * [08ae7680] rename doc package to drop the soname part

 -- Christoph Egger <debian@christoph-egger.org>  Sat, 25 Jul 2009 14:07:05 +0200

libsfml (1.4+repack1-1) unstable; urgency=low

  [ Christoph Egger ]
  * New upstream release.
  * Drop patches implemented upstream
    - RM: add_destdir_to_makefile.patch
    - RM: building_on_all_arches.patch
    - RM: bump_soname.patch
    - RM: cstring_ftbfs.patch
    - RM: modify_toplevel_makefile
  * Reorganize remaining patches using topgit
  * Using external libSOIL
    - add SOIL to repacking list
  * Build debug package
  * Build documentation package
    - separate docs and examples from -dev package
  * Change my email address

  [ Gonéri Le Bouder ]
  * libsfml-dev conflicts/replaces libsfml1.deb3-dev

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 25 Jan 2009 16:51:47 +0100

libsfml (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Egger <Christoph.Egger@gmx.de>  Sun, 22 Jun 2008 13:33:03 +0200

libsfml (1.2-3) unstable; urgency=low

  * Clean rules improvement (thanks to gnoéri)


=== debian/control ===
Source: libsfml
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>,
 James Cowgill <james410@cowgill.org.uk>
Vcs-Git: git://anonscm.debian.org/pkg-games/libsfml.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/libsfml.git
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.9),
 doxygen,
 pkg-kde-tools (>= 0.6),
 libfreetype6-dev,
 libgl1-mesa-dev,
 libglew-dev,
 libjpeg-dev,
 libopenal-dev,
 libsndfile1-dev,
 libx11-dev,
 libxrandr-dev
Standards-Version: 3.9.5
Homepage: http://www.sfml-dev.org/

Package: libsfml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsfml-audio2 (= ${binary:Version}),
 libsfml-graphics2 (= ${binary:Version}),
 libsfml-network2 (= ${binary:Version}),
 libsfml-system2 (= ${binary:Version}),
 libsfml-window2 (= ${binary:Version})
Suggests: libsfml2-dbg, libsfml-doc
Description: Simple and Fast Multimedia Library - Development Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 This package includes header files for all SFML libraries.

Package: libsfml-audio2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - Audio part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 The Audio library is used to play sound and music in games. It is able to
 load OGG/Vorbis files.

Package: libsfml-graphics2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - Graphics part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 The Graphics library contains all the OpenGL and drawing code. It needs the
 Window library for Window creation.

Package: libsfml-network2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - Network part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 The Network Library brings basic networking support as needed by games.

Package: libsfml-system2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - System part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 The system library brings useful system utilities like multithreading and
 UNICODE handling.

Package: libsfml-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and Fast Multimedia Library - Window part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 The Window library provides basic utilities for creating and managing Windows.

Package: libsfml2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libsfml-audio2 (= ${binary:Version}) |
 libsfml-graphics2 (= ${binary:Version}) |
 libsfml-network2 (= ${binary:Version}) |
 libsfml-system2 (= ${binary:Version}) |
 libsfml-window2 (= ${binary:Version})
Description: Simple and Fast Multimedia Library - Debug Symbols
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 This package includes debug symbols for all SFML libraries.

Package: libsfml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Simple and Fast Multimedia Library - Documentation
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 .
 This package includes the library reference and examples for SFML.

=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/SFML-$1.tar.gz/,dversionmangle=s/-dfsg\d?$// \
  https://github.com/LaurentGomila/SFML/tags .*/v?(\d\S*)\.tar\.gz

## libsfml 2.1+dfsg2

=== debian/changelog ===
libsfml (2.1+dfsg2-1) unstable; urgency=medium

  * Update symbols for GCC 4.9 (Closes: 746877)
  * Add example resources I can verify are free (Closes: 647698)
  * Install FindSFML.cmake in libsfml-dev (Closes: 747186)
  * Fix debian/watch file
  * Repack original source using uscan
  * Enable parallel builds and hardening flags
  * Add patch to remove googleapi css in doc/header.htm
  * Add numeric prefixes to all patches

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 17 May 2014 13:37:17 +0100

libsfml (2.1+dfsg-5) unstable; urgency=low

  * Change package priority to optional (Closes: 728886)
  * Fixed VCS-Browser field (Closes: 728887)

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 06 Nov 2013 15:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libsfml
 Section: libs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Christoph Egger <christoph@debian.org>,
  James Cowgill <james410@cowgill.org.uk>
 Vcs-Git: git://anonscm.debian.org/pkg-games/libsfml.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/libsfml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libsfml.git
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
@@ -113,6 +112,7 @@
 
 Package: libsfml2-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg2
VER  ?= $(subst $(DTYPE),,$(UVER))

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DSFML_BUILD_DOC=ON

override_dh_strip:
	dh_strip --dbg-package=libsfml2-dbg

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --repack --compression=xz --upstream-version $(VER) $(PKD)

=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/SFML-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d?$// \
  https://github.com/LaurentGomila/SFML/tags .*/v?(\d\S*)\.tar\.gz

## libsfml 2.3.2%2Bdfsg

=== src/SFML/Graphics/CMakeLists.txt ===

set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Graphics)
set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Graphics)

# all source files
set(SRC
    ${SRCROOT}/BlendMode.cpp
    ${INCROOT}/BlendMode.hpp
    ${SRCROOT}/Color.cpp
    ${INCROOT}/Color.hpp
    ${INCROOT}/Export.hpp
    ${SRCROOT}/Font.cpp
    ${INCROOT}/Font.hpp
    ${INCROOT}/Glyph.hpp
    ${SRCROOT}/GLCheck.cpp
    ${SRCROOT}/GLCheck.hpp
    ${SRCROOT}/GLExtensions.hpp
    ${SRCROOT}/GLExtensions.cpp
    ${SRCROOT}/Image.cpp
    ${INCROOT}/Image.hpp
    ${SRCROOT}/ImageLoader.cpp
    ${SRCROOT}/ImageLoader.hpp
    ${INCROOT}/PrimitiveType.hpp
    ${INCROOT}/Rect.hpp
    ${INCROOT}/Rect.inl
    ${SRCROOT}/RenderStates.cpp
    ${INCROOT}/RenderStates.hpp
    ${SRCROOT}/RenderTexture.cpp
    ${INCROOT}/RenderTexture.hpp
    ${SRCROOT}/RenderTarget.cpp
    ${INCROOT}/RenderTarget.hpp
    ${SRCROOT}/RenderWindow.cpp
    ${INCROOT}/RenderWindow.hpp
    ${SRCROOT}/Shader.cpp
    ${INCROOT}/Shader.hpp
    ${SRCROOT}/Texture.cpp
    ${INCROOT}/Texture.hpp
    ${SRCROOT}/TextureSaver.cpp
    ${SRCROOT}/TextureSaver.hpp
    ${SRCROOT}/Transform.cpp
    ${INCROOT}/Transform.hpp
    ${SRCROOT}/Transformable.cpp
    ${INCROOT}/Transformable.hpp
    ${SRCROOT}/View.cpp
    ${INCROOT}/View.hpp
    ${SRCROOT}/Vertex.cpp
    ${INCROOT}/Vertex.hpp
)
if(NOT SFML_OPENGL_ES)
    list(APPEND SRC ${SRCROOT}/GLLoader.cpp)
    list(APPEND SRC ${SRCROOT}/GLLoader.hpp)
endif()
source_group("" FILES ${SRC})

# drawables sources
set(DRAWABLES_SRC
    ${INCROOT}/Drawable.hpp
    ${SRCROOT}/Shape.cpp
    ${INCROOT}/Shape.hpp
    ${SRCROOT}/CircleShape.cpp
    ${INCROOT}/CircleShape.hpp
    ${SRCROOT}/RectangleShape.cpp
    ${INCROOT}/RectangleShape.hpp
    ${SRCROOT}/ConvexShape.cpp
    ${INCROOT}/ConvexShape.hpp
    ${SRCROOT}/Sprite.cpp
    ${INCROOT}/Sprite.hpp
    ${SRCROOT}/Text.cpp
    ${INCROOT}/Text.hpp
    ${SRCROOT}/VertexArray.cpp
    ${INCROOT}/VertexArray.hpp
)
source_group("drawables" FILES ${DRAWABLES_SRC})

# render-texture sources
set(RENDER_TEXTURE_SRC
    ${SRCROOT}/RenderTextureImpl.cpp
    ${SRCROOT}/RenderTextureImpl.hpp
    ${SRCROOT}/RenderTextureImplFBO.cpp
    ${SRCROOT}/RenderTextureImplFBO.hpp
    ${SRCROOT}/RenderTextureImplDefault.cpp
    ${SRCROOT}/RenderTextureImplDefault.hpp
)
source_group("render texture" FILES ${RENDER_TEXTURE_SRC})

# stb_image sources
include_directories("${PROJECT_SOURCE_DIR}/extlibs/headers/stb_image")

# let CMake know about our additional graphics libraries paths
if(SFML_OS_WINDOWS)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/jpeg")
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/freetype2")
elseif(SFML_OS_MACOSX)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/jpeg")
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/freetype2")
    set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${PROJECT_SOURCE_DIR}/extlibs/libs-osx/Frameworks")
elseif(SFML_OS_IOS)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/jpeg")
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/freetype2")
elseif(SFML_OS_ANDROID)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/jpeg")
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${PROJECT_SOURCE_DIR}/extlibs/headers/freetype2")
endif()

# find external libraries
if(NOT SFML_OPENGL_ES)
    find_package(OpenGL REQUIRED)
    if(SFML_OS_LINUX)
        find_package(X11 REQUIRED)
    endif()
    include_directories(${FREETYPE_INCLUDE_DIRS} ${JPEG_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
endif()
if(SFML_OPENGL_ES AND SFML_OS_LINUX)
    find_package(EGL REQUIRED)
    find_package(GLES REQUIRED)
    include_directories(${EGL_INCLUDE_DIR} ${GLES_INCLUDE_DIR})
endif()
if(SFML_OS_ANDROID)
    find_host_package(JPEG REQUIRED)
    find_host_package(Freetype REQUIRED)
else()
    find_package(JPEG REQUIRED)
    find_package(Freetype REQUIRED)
endif()
include_directories(${FREETYPE_INCLUDE_DIRS} ${JPEG_INCLUDE_DIR})

# build the list of external libraries to link
if(NOT SFML_OPENGL_ES)
    list(APPEND GRAPHICS_EXT_LIBS ${OPENGL_gl_LIBRARY})
    if(SFML_OS_LINUX)
        list(APPEND GRAPHICS_EXT_LIBS ${X11_LIBRARIES})
    endif()
endif()
if(SFML_OPENGL_ES AND SFML_OS_LINUX)
    list(APPEND GRAPHICS_EXT_LIBS ${EGL_LIBRARY} ${GLES_LIBRARY})
endif()
if(SFML_OS_IOS)
    list(APPEND GRAPHICS_EXT_LIBS "-framework OpenGLES")
elseif(SFML_OS_ANDROID)
    list(APPEND GRAPHICS_EXT_LIBS z)
endif()
list(APPEND GRAPHICS_EXT_LIBS ${FREETYPE_LIBRARY} ${JPEG_LIBRARY})

# add preprocessor symbols
add_definitions(-DSTBI_FAILURE_USERMSG)

# ImageLoader.cpp must be compiled with the -fno-strict-aliasing
# when gcc is used; otherwise saving PNGs may crash in stb_image_write
if(SFML_COMPILER_GCC)
    set_source_files_properties(${SRCROOT}/ImageLoader.cpp PROPERTIES COMPILE_FLAGS -fno-strict-aliasing)
endif()

# define the sfml-graphics target
sfml_add_library(sfml-graphics
                 SOURCES ${SRC} ${DRAWABLES_SRC} ${RENDER_TEXTURE_SRC} ${STB_SRC}
                 DEPENDS sfml-window sfml-system
                 EXTERNAL_LIBS ${GRAPHICS_EXT_LIBS})

=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     ${INCROOT}/Sleep.hpp
     ${SRCROOT}/String.cpp
     ${INCROOT}/String.hpp
+    ${INCROOT}/String.inl
     ${SRCROOT}/Thread.cpp
     ${INCROOT}/Thread.hpp
     ${INCROOT}/Thread.inl
@@ -34,11 +35,15 @@
     ${INCROOT}/Vector2.inl
     ${INCROOT}/Vector3.hpp
     ${INCROOT}/Vector3.inl
+    ${SRCROOT}/FileInputStream.cpp
+    ${INCROOT}/FileInputStream.hpp
+    ${SRCROOT}/MemoryInputStream.cpp
+    ${INCROOT}/MemoryInputStream.hpp
 )
 source_group("" FILES ${SRC})
 
 # add platform specific sources
-if(WINDOWS)
+if(SFML_OS_WINDOWS)
     set(PLATFORM_SRC
         ${SRCROOT}/Win32/ClockImpl.cpp
         ${SRCROOT}/Win32/ClockImpl.hpp
@@ -65,16 +70,31 @@
         ${SRCROOT}/Unix/ThreadLocalImpl.cpp
         ${SRCROOT}/Unix/ThreadLocalImpl.hpp
     )
+
+    if(SFML_OS_ANDROID)
+        set(PLATFORM_SRC ${PLATFORM_SRC}
+            ${SRCROOT}/Android/Activity.hpp
+            ${SRCROOT}/Android/Activity.cpp
+            ${SRCROOT}/Android/ResourceStream.cpp
+            ${SRCROOT}/Android/ResourceStream.cpp
+        )
+    endif()
+
     source_group("unix" FILES ${PLATFORM_SRC})
 endif()
 
 # build the list of external libraries to link
-set(SYSTEM_EXT_LIBS)
-if(UNIX)
-    set(SYSTEM_EXT_LIBS ${SYSTEM_EXT_LIBS} pthread)
+if(SFML_OS_LINUX OR SFML_OS_FREEBSD OR SFML_OS_MACOSX)
+    list(APPEND SYSTEM_EXT_LIBS pthread)
 endif()
-if(LINUX)
-    set(SYSTEM_EXT_LIBS ${SYSTEM_EXT_LIBS} rt)
+if(SFML_OS_LINUX)
+    list(APPEND SYSTEM_EXT_LIBS rt)
+endif()
+if(SFML_OS_WINDOWS)
+    list(APPEND SYSTEM_EXT_LIBS winmm)
+endif()
+if(SFML_OS_ANDROID)
+    list(APPEND SYSTEM_EXT_LIBS android log)
 endif()
 
 # define the sfml-system target

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,26 @@
 Uploaders: Christoph Egger <christoph@debian.org>,
  James Cowgill <james410@cowgill.org.uk>
 Vcs-Git: git://anonscm.debian.org/pkg-games/libsfml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libsfml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libsfml.git
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
- pkg-kde-tools (>= 0.6),
+ g++ (>= 4:5.2),
+ libflac-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
- libglew-dev,
  libjpeg-dev,
  libopenal-dev,
- libsndfile1-dev,
+ libudev-dev [linux-any],
+ libusbhid-dev [kfreebsd-any],
+ libvorbis-dev,
  libx11-dev,
- libxrandr-dev
-Standards-Version: 3.9.5
+ libx11-xcb-dev,
+ libxcb1-dev,
+ libxcb-image0-dev,
+ libxcb-randr0-dev,
+ pkg-kde-tools,
+Standards-Version: 3.9.6
 Homepage: http://www.sfml-dev.org/
 
 Package: libsfml-dev
@@ -27,13 +33,12 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libgl1-mesa-dev | libgl-dev,
- libglu1-mesa-dev | libglu-dev,
- libsfml-audio2 (= ${binary:Version}),
- libsfml-graphics2 (= ${binary:Version}),
- libsfml-network2 (= ${binary:Version}),
- libsfml-system2 (= ${binary:Version}),
- libsfml-window2 (= ${binary:Version})
-Suggests: libsfml2-dbg, libsfml-doc
+ libsfml-audio2.3v5 (= ${binary:Version}),
+ libsfml-graphics2.3v5 (= ${binary:Version}),
+ libsfml-network2.3v5 (= ${binary:Version}),
+ libsfml-system2.3v5 (= ${binary:Version}),
+ libsfml-window2.3v5 (= ${binary:Version})
+Suggests: libsfml2.3-dbg, libsfml-doc
 Description: Simple and Fast Multimedia Library - Development Files
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -42,11 +47,13 @@
  .
  This package includes header files for all SFML libraries.
 
-Package: libsfml-audio2
+Package: libsfml-audio2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-audio2.3
+Replaces: libsfml-audio2.3
 Description: Simple and Fast Multimedia Library - Audio part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -56,11 +63,13 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libsfml-graphics2
+Package: libsfml-graphics2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-graphics2.3
+Replaces: libsfml-graphics2.3
 Description: Simple and Fast Multimedia Library - Graphics part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -70,11 +79,13 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libsfml-network2
+Package: libsfml-network2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-network2.3
+Replaces: libsfml-network2.3
 Description: Simple and Fast Multimedia Library - Network part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -83,11 +94,13 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libsfml-system2
+Package: libsfml-system2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-system2.3
+Replaces: libsfml-system2.3
 Description: Simple and Fast Multimedia Library - System part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -97,11 +110,13 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling.
 
-Package: libsfml-window2
+Package: libsfml-window2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-window2.3
+Replaces: libsfml-window2.3
 Description: Simple and Fast Multimedia Library - Window part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -110,17 +125,17 @@
  .
  The Window library provides basic utilities for creating and managing Windows.
 
-Package: libsfml2-dbg
+Package: libsfml2.3-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libsfml-audio2 (= ${binary:Version}) |
- libsfml-graphics2 (= ${binary:Version}) |
- libsfml-network2 (= ${binary:Version}) |
- libsfml-system2 (= ${binary:Version}) |
- libsfml-window2 (= ${binary:Version})
+ libsfml-audio2.3v5 (= ${binary:Version}) |
+ libsfml-graphics2.3v5 (= ${binary:Version}) |
+ libsfml-network2.3v5 (= ${binary:Version}) |
+ libsfml-system2.3v5 (= ${binary:Version}) |
+ libsfml-window2.3v5 (= ${binary:Version})
 Description: Simple and Fast Multimedia Library - Debug Symbols
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -132,7 +147,7 @@
 Package: libsfml-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: Simple and Fast Multimedia Library - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
